switch-board {
  width: 360px;
}

switch-board + jitsi-video {
  z-index: 0;
  width: calc(~"100% - 720px")!important;
  overflow: hidden;
  height: 100%;
  #meet {
    height: 100%;
  }
}

.message-resize-switchboard {
  display: none;
  @media @minimum-usable-switchboard {
    display: block !important;
    width: 100% !important;     
    height: auto;
    bottom: 0 !important;
    position: fixed;
    z-index: @message-resize !important;
  }
}

switch-board + jitsi-video.foreground {
  z-index: 1100;
}

.switchboard {
    font-family: 'roboto', sans-serif;
    z-index: @switchboard;
    display: block;
    box-sizing: border-box;
    height: 100%;
    background-color: white;
    .box-shadow(2px 2px 5px -2px rgba(110, 110, 110, 0.35));

  .switchboard-header {
      font-family: 'roboto-bold';
      height: 30px;
      background-color: #4a4a4a;
      color: white;
      letter-spacing: 0.5px;
      font-size: 15px;
      padding-top: 5px;
      text-align: center;
  }

/******Incoming calls*******/

  .incoming-calls-list {
    width: 100%;
    height: calc(~'50% - 15px'); 
    position: relative;
    border-left: 1px solid #b1b1b1;
    background-image: linear-gradient(to left, #fafafa, #ffffff);
       
      &:before {
        position: absolute;
        font-family: 'FontAwesome';
        top: 20%;
        left: 30%;
        content: "\f01c";
        color: #f8f8f8;
        font-size: 13em;
      }

    border-bottom : solid @grey 1px; 
    overflow: auto;

    .incoming-calls-title {
      width : 100%;
      height : 30px;
      background-color: @grey;
      color: white;

      i {
        font-size: 15px;
        padding-left: 10px;
        padding-right: 8px;
        padding-top: 7px;    
      }

      .text-switchboard {
        display: inline-block;
        position: relative;
      }

      .badge-switchboard {
        margin-left: 6px;
        font-size: 12px;
        position: relative;
        border-radius: 13px;
      }
    }

    .incoming-calls-switchboard {
      position: relative;
      z-index: @incoming-calls-switchboard;
      width: 100%;
      height: 69px;
      border: solid 7px #cad699;
      display: flex;
      flex-direction: row;
      margin-bottom: 1px;

      img {
        width: 25px;
        height: 25px;
        display: inline-block;
        margin-left: 15px;
        margin-top: 15px;
      }

      .text-incoming-calls {
        color: #595959;
        letter-spacing: normal;
        font-size: 15px;
        display: flex;
        flex-direction: row;
        margin-top: 9px;
        margin-bottom: 9px;
        width: 75%;
      
        .name-number {
          border-right: solid 1px #c6c6c6; 
          padding-right: 30px;
          padding-left: 30px;
          width: 86%;

          & .name {
            font-family: roboto-bold;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
  
        .queue-time {
          padding-left: 15px;
          padding-right: 15px;
          padding-top: 21px;
          width: 7%;
        }
      }
    }
  }

/******Calls on hold*******/

.waiting-calls-list {
      width: 100%;
      border-left: 1px solid #b1b1b1;
      background-image: linear-gradient(to left, #fafafa, #ffffff);
      position: relative;
      
        
        &:before {
          position: absolute;
          font-family: 'Font Awesome 5 Free';
          top: 20%;
          left: 30%;
          content: "\f254";
          color: #f8f8f8;
          font-size: 13em;      
        }
      
      height: calc(~'50% - 15px');      
      overflow: auto;  

    .waiting-calls-title {
      width : 100%;
      height : 30px;
      background-color: @grey;
      color: white; 
      bottom : 15px;
      line-height: 30px;
      
      i {
        font-size: 15px;
        padding-left: 10px;
        padding-right: 8px;
        padding-top: 7px;    
      }

      .text-switchboard{
        display: inline-block;
        position: relative;
      }

      .badge-switchboard {
        margin-left: 6px;
        font-size: 12px;
        position: relative;
        border-radius: 13px;
      }
    }

    .calls-onhold-switchboard {
      width: 100%;
      height: 69px;
      z-index: @calls-onhold-switchboard;
      border: solid 7px #c1c1c1;
      display: flex;
      flex-direction: row;
      margin-bottom: 1px;
      position: relative;

      i {
          display: inline-block;  
          padding-left: 20px;
          padding-top: 13px;
          width: 10%;   
      }

      .text-onhold-calls {
        color: #808080;
        letter-spacing: normal;
        opacity: 0.5;
        font-size: 15px;
        display: flex;
        flex-direction: row;
        margin-top: 9px;
        margin-bottom: 9px;
        width: 75%;
      
        .name-number {
          border-right: solid 1px #c6c6c6; 
          padding-right: 30px;
          padding-left: 30px;
          width: 86%;

          & .name {
            font-family: roboto-bold;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
  
        .queue-time {
          padding-left: 15px;
          padding-right: 10px;
          padding-top: 21px;
          width: 7%;
        }
      }
      .unhold {
        width: 15%;
        height: 100%;
        background-color: #c1c1c1;
        display: none;
        
        .img-play {
          margin-top: 8px;
          margin-left: 10px;
        }
      }
      
      &:hover, &:focus {
        .unhold {
          display: block;
          z-index: @unhold;
        }
      }
    }
  }
}